
package kalkulator;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the kalkulator package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _IsubReq_QNAME = new QName("http://xml.mimuw.edu.pl/kalkulator", "isub-req");
    private final static QName _IsubResp_QNAME = new QName("http://xml.mimuw.edu.pl/kalkulator", "isub-resp");
    private final static QName _FavgReq_QNAME = new QName("http://xml.mimuw.edu.pl/kalkulator", "favg-req");
    private final static QName _IaddReq_QNAME = new QName("http://xml.mimuw.edu.pl/kalkulator", "iadd-req");
    private final static QName _FavgResp_QNAME = new QName("http://xml.mimuw.edu.pl/kalkulator", "favg-resp");
    private final static QName _IaddResp_QNAME = new QName("http://xml.mimuw.edu.pl/kalkulator", "iadd-resp");
    private final static QName _IdivReq_QNAME = new QName("http://xml.mimuw.edu.pl/kalkulator", "idiv-req");
    private final static QName _IdivResp_QNAME = new QName("http://xml.mimuw.edu.pl/kalkulator", "idiv-resp");
    private final static QName _FsumResp_QNAME = new QName("http://xml.mimuw.edu.pl/kalkulator", "fsum-resp");
    private final static QName _FsumReq_QNAME = new QName("http://xml.mimuw.edu.pl/kalkulator", "fsum-req");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: kalkulator
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link FloatSequence }
     * 
     */
    public FloatSequence createFloatSequence() {
        return new FloatSequence();
    }

    /**
     * Create an instance of {@link IntResult }
     * 
     */
    public IntResult createIntResult() {
        return new IntResult();
    }

    /**
     * Create an instance of {@link DivResponse }
     * 
     */
    public DivResponse createDivResponse() {
        return new DivResponse();
    }

    /**
     * Create an instance of {@link TwoInts }
     * 
     */
    public TwoInts createTwoInts() {
        return new TwoInts();
    }

    /**
     * Create an instance of {@link FloatResult }
     * 
     */
    public FloatResult createFloatResult() {
        return new FloatResult();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TwoInts }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://xml.mimuw.edu.pl/kalkulator", name = "isub-req")
    public JAXBElement<TwoInts> createIsubReq(TwoInts value) {
        return new JAXBElement<TwoInts>(_IsubReq_QNAME, TwoInts.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IntResult }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://xml.mimuw.edu.pl/kalkulator", name = "isub-resp")
    public JAXBElement<IntResult> createIsubResp(IntResult value) {
        return new JAXBElement<IntResult>(_IsubResp_QNAME, IntResult.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FloatSequence }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://xml.mimuw.edu.pl/kalkulator", name = "favg-req")
    public JAXBElement<FloatSequence> createFavgReq(FloatSequence value) {
        return new JAXBElement<FloatSequence>(_FavgReq_QNAME, FloatSequence.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TwoInts }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://xml.mimuw.edu.pl/kalkulator", name = "iadd-req")
    public JAXBElement<TwoInts> createIaddReq(TwoInts value) {
        return new JAXBElement<TwoInts>(_IaddReq_QNAME, TwoInts.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FloatResult }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://xml.mimuw.edu.pl/kalkulator", name = "favg-resp")
    public JAXBElement<FloatResult> createFavgResp(FloatResult value) {
        return new JAXBElement<FloatResult>(_FavgResp_QNAME, FloatResult.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IntResult }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://xml.mimuw.edu.pl/kalkulator", name = "iadd-resp")
    public JAXBElement<IntResult> createIaddResp(IntResult value) {
        return new JAXBElement<IntResult>(_IaddResp_QNAME, IntResult.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TwoInts }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://xml.mimuw.edu.pl/kalkulator", name = "idiv-req")
    public JAXBElement<TwoInts> createIdivReq(TwoInts value) {
        return new JAXBElement<TwoInts>(_IdivReq_QNAME, TwoInts.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DivResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://xml.mimuw.edu.pl/kalkulator", name = "idiv-resp")
    public JAXBElement<DivResponse> createIdivResp(DivResponse value) {
        return new JAXBElement<DivResponse>(_IdivResp_QNAME, DivResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FloatResult }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://xml.mimuw.edu.pl/kalkulator", name = "fsum-resp")
    public JAXBElement<FloatResult> createFsumResp(FloatResult value) {
        return new JAXBElement<FloatResult>(_FsumResp_QNAME, FloatResult.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FloatSequence }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://xml.mimuw.edu.pl/kalkulator", name = "fsum-req")
    public JAXBElement<FloatSequence> createFsumReq(FloatSequence value) {
        return new JAXBElement<FloatSequence>(_FsumReq_QNAME, FloatSequence.class, null, value);
    }

}
