
package kalkulator;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the kalkulator package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Idiv_QNAME = new QName("http://xml.mimuw.edu.pl/kalkulator", "idiv");
    private final static QName _FsumResponse_QNAME = new QName("http://xml.mimuw.edu.pl/kalkulator", "fsumResponse");
    private final static QName _FavgResponse_QNAME = new QName("http://xml.mimuw.edu.pl/kalkulator", "favgResponse");
    private final static QName _IsubResponse_QNAME = new QName("http://xml.mimuw.edu.pl/kalkulator", "isubResponse");
    private final static QName _Fsum_QNAME = new QName("http://xml.mimuw.edu.pl/kalkulator", "fsum");
    private final static QName _Iadd_QNAME = new QName("http://xml.mimuw.edu.pl/kalkulator", "iadd");
    private final static QName _Favg_QNAME = new QName("http://xml.mimuw.edu.pl/kalkulator", "favg");
    private final static QName _IaddResponse_QNAME = new QName("http://xml.mimuw.edu.pl/kalkulator", "iaddResponse");
    private final static QName _IdivResponse_QNAME = new QName("http://xml.mimuw.edu.pl/kalkulator", "idivResponse");
    private final static QName _Isub_QNAME = new QName("http://xml.mimuw.edu.pl/kalkulator", "isub");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: kalkulator
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link TwoInts }
     * 
     */
    public TwoInts createTwoInts() {
        return new TwoInts();
    }

    /**
     * Create an instance of {@link DivResponse }
     * 
     */
    public DivResponse createDivResponse() {
        return new DivResponse();
    }

    /**
     * Create an instance of {@link FloatResult }
     * 
     */
    public FloatResult createFloatResult() {
        return new FloatResult();
    }

    /**
     * Create an instance of {@link IntResult }
     * 
     */
    public IntResult createIntResult() {
        return new IntResult();
    }

    /**
     * Create an instance of {@link FloatSequence }
     * 
     */
    public FloatSequence createFloatSequence() {
        return new FloatSequence();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TwoInts }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://xml.mimuw.edu.pl/kalkulator", name = "idiv")
    public JAXBElement<TwoInts> createIdiv(TwoInts value) {
        return new JAXBElement<TwoInts>(_Idiv_QNAME, TwoInts.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FloatResult }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://xml.mimuw.edu.pl/kalkulator", name = "fsumResponse")
    public JAXBElement<FloatResult> createFsumResponse(FloatResult value) {
        return new JAXBElement<FloatResult>(_FsumResponse_QNAME, FloatResult.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FloatResult }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://xml.mimuw.edu.pl/kalkulator", name = "favgResponse")
    public JAXBElement<FloatResult> createFavgResponse(FloatResult value) {
        return new JAXBElement<FloatResult>(_FavgResponse_QNAME, FloatResult.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IntResult }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://xml.mimuw.edu.pl/kalkulator", name = "isubResponse")
    public JAXBElement<IntResult> createIsubResponse(IntResult value) {
        return new JAXBElement<IntResult>(_IsubResponse_QNAME, IntResult.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FloatSequence }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://xml.mimuw.edu.pl/kalkulator", name = "fsum")
    public JAXBElement<FloatSequence> createFsum(FloatSequence value) {
        return new JAXBElement<FloatSequence>(_Fsum_QNAME, FloatSequence.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TwoInts }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://xml.mimuw.edu.pl/kalkulator", name = "iadd")
    public JAXBElement<TwoInts> createIadd(TwoInts value) {
        return new JAXBElement<TwoInts>(_Iadd_QNAME, TwoInts.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FloatSequence }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://xml.mimuw.edu.pl/kalkulator", name = "favg")
    public JAXBElement<FloatSequence> createFavg(FloatSequence value) {
        return new JAXBElement<FloatSequence>(_Favg_QNAME, FloatSequence.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IntResult }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://xml.mimuw.edu.pl/kalkulator", name = "iaddResponse")
    public JAXBElement<IntResult> createIaddResponse(IntResult value) {
        return new JAXBElement<IntResult>(_IaddResponse_QNAME, IntResult.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DivResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://xml.mimuw.edu.pl/kalkulator", name = "idivResponse")
    public JAXBElement<DivResponse> createIdivResponse(DivResponse value) {
        return new JAXBElement<DivResponse>(_IdivResponse_QNAME, DivResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TwoInts }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://xml.mimuw.edu.pl/kalkulator", name = "isub")
    public JAXBElement<TwoInts> createIsub(TwoInts value) {
        return new JAXBElement<TwoInts>(_Isub_QNAME, TwoInts.class, null, value);
    }

}
