package pl.javatech.jws.bank.model;

import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlType(propOrder={"numer", "stan", "glownyWlasciciel", "drugiWlasciciel"})
public class Konto {
	@XmlAttribute
	private String numer;

	@XmlElement(name="saldo")
	private long stan;
	
	@XmlElement(name="glowny-wlasciciel")
	private Osoba glownyWlasciciel;
	
	@XmlElement(name="drugi-wlasciciel")
	private Osoba drugiWlasciciel;
	
	public Konto() {}

	public Konto(String aNumer, long aStan, Osoba aGlownyWlasciciel,
			Osoba aDrugiWlasciciel) {
		super();
		numer = aNumer;
		stan = aStan;
		glownyWlasciciel = aGlownyWlasciciel;
		drugiWlasciciel = aDrugiWlasciciel;
	}
	public String getNumer() {
		return numer;
	}
	public void setNumer(String aNumer) {
		numer = aNumer;
	}
	public long getStan() {
		return stan;
	}
	public void setStan(long aStan) {
		stan = aStan;
	}
	public Osoba getGlownyWlasciciel() {
		return glownyWlasciciel;
	}
	public void setGlownyWlasciciel(Osoba aGlownyWlasciciel) {
		glownyWlasciciel = aGlownyWlasciciel;
	}
	public Osoba getDrugiWlasciciel() {
		return drugiWlasciciel;
	}
	public void setDrugiWlasciciel(Osoba aDrugiWlasciciel) {
		drugiWlasciciel = aDrugiWlasciciel;
	}
}
